# Nextbike Data Collector

Skript pro pravidelný sběr dat o stanicích a kolech Nextbike z veřejného API. Data se ukládají do CSV souborů v pravidelných 5minutových intervalech.

---

## Požadavky

- Python >= 3.8
- Knihovny uvedené v souboru `requirements.txt`

---

## Instalace

1. Nainstalujte závislosti:
   ```sh
   pip install -r requirements.txt
   ```

---

## Použití

1. Spusťte skript:
   ```sh
   python stazeni_nextbike.py
   ```
2. Data se automaticky ukládají do složky `nextbike_data` ve formátu CSV:
   - `nextbike_stanice_data.csv` – informace o stanicích
   - `nextbike_kola_data.csv` – vazby kol na stanice

---

## Struktura projektu

```
/nextbike_download/
├── README.md
├── requirements.txt
├── stazeni_nextbike.py
└── nextbike_data/
    ├── nextbike_stanice_data.csv
    └── nextbike_kola_data.csv
```

---

## Přizpůsobení

- **Město/region**: Upravte parametr `domains` v URL (např. `domains=te` pro Brno).
- **Interval sběru**: Změňte hodnotu `time.sleep(300)` (v sekundách).
- **Výstupní složka**: Upravte proměnnou `output_folder`.

---

## Důležité poznámky

- API může mít omezení počtu požadavků – respektujte intervaly.
- Pro dlouhodobý sběr doporučujeme spouštět skript na serveru.
- Data obsahují časovou značku ve formátu `YYYY-MM-DD HH:MM:SS`. 

## Nextbike API

- https://api.nextbike.net/api/doc.php?mode=classic-regular&apikey=


