
# 🛠 Nástroj: Přiřazení tras Do práce na kole

Tento nástroj je určen pro zpracování dat o pohybu cyklistů v prostředí ArcGIS. Výsledkem je datová sada obohacená o informace o infrastruktuře, směrových charakteristikách a vhodnosti tras.

---

## 📂 Vstupní data

Veškerá vstupní data se nacházejí v geodatabázi:

input_data/DPNK_data.gdb


### Klíčové vrstvy:
- **rides_layer**: `Brno_DPNK`
- **osm_layer**: `osm_strava`

---

## 📂 Skript na pozadí

Toolbox obsahuje integrovaný Python skript, který provádí všechny níže uvedené analýzy. Skript lze nalézt pod názvem:

dpnk_lines.py


---

## 🧾 Parametry nástroje

Při nastavování parametrů v nástroji je nutné použít následující hodnoty:

| Label                     | Name                     | Data Type      | Type     | Direction | Doporučená vrstva z GDB |
|---------------------------|--------------------------|----------------|----------|-----------|--------------------------|
| Vstupní vrstva jízd       | rides_layer             | Feature Layer  | Required | Input     | `Brno_DPNK`             |
| Vstupní vrstva OSM        | osm_layer               | Feature Layer  | Required | Input     | `osm_strava`            |
| Velikost bufferu [m]      | buffer_distance         | Double         | Required | Input     | -                        |


---

## 🧮 Funkcionalita nástroje

- **Předzpracování dat**: Načtení vstupních vrstev, určení geodatabáze.
- **Výpočet geometrických atributů**: Délka linií, souřadnice bodů, azimuty.
- **Tvorba bufferu**: Generování zóny kolem tras.
- **Prostorová analýza**: Průsečík bufferu s vrstvou OSM dat.
- **Výpočet poměru délky**: Porovnání délky úseku se vstupní trasou.

---

## 📤 Výstupy

Nástroj generuje následující výstupy:

- **Výstupní bufferová vrstva** – segmentovaný buffer kolem cyklistických tras.
- **Analytická vrstva** – propojení tras s OSM daty.

---

## 📌 Doporučené hodnoty parametrů

| Parametr              | Doporučená hodnota |
|-----------------------|--------------------|
| Velikost bufferu      | 10 m              |

---

