# 🛠 Skript: Strava Validace

Tento skript slouží pro zpracování a validaci dat ze systému Strava Metro a jejich porovnání s dalšími daty, jako jsou detektory cyklistů a meteorologická data.
script_validace.ipynb 

---

## 📂 Vstupní data

Všechna vstupní data jsou organizována v samostatných složkách podle jejich typu:

### 1. **Složka `detektory`**
Obsahuje data z brněnských cyklodetektorů:

- **`kombinovany_vysledek.csv`**  
  Kombinovaná data naměřená cyklodetektory z různých lokalit v Brně.

### 2. **Složka `pocasi`**
Obsahuje meteorologická data:

- **`zabovresky.csv`**  
  Data z meteorologické stanice Žabovřesky, stažená z otevřených dat ČHMÚ.

### 3. **Složka `seznam`**
Seznam cyklodetektorů s jejich vlastnostmi:

- **`seznam`**  
  Obsahuje názvy jednotlivých cyklodetektorů a příslušné `edge_uid` na síti Strava Metro.

### 4. **Složka `strava_daily`**
Denní data ze systému Strava Metro:

- **`strava_daily`**  
  Agregovaná denní data, která reprezentují aktivitu na Strava Metro.

---

## 🧾 Funkcionalita skriptu

Skript provádí následující operace:

- **Načítání a zpracování dat**: Import dat ze všech zmíněných složek a jejich předzpracování.
- **Validace dat**: Porovnání dat Strava Metro s cyklodetektory a meteorologickými údaji.
- **Analýza vztahů**: Hledání korelací mezi daty detektorů, počasím a aktivitou na Strava Metro.
- **Výstupy pro další analýzu**: Výsledná data připravena k vizualizaci nebo dalším statistickým analýzám.

---

## 📤 Výstupy

Po úspěšném běhu skriptu se generují:

- **Grafy a vizualizace** ukazující vztahy mezi vstupními daty.
- **Soubory výsledků** vhodné pro další zpracování.

---


