# 📘 README – Práce s notebookem a daty v ArcGIS Pro

Tento projekt obsahuje Jupyter notebook určený pro analýzu dat ze služby Strava Metro a doplnění prostorových informací v prostředí ArcGIS Pro.

## 🛠️ Předpoklady

- Nainstalované **ArcGIS Pro**
- Aktivní prostředí s **Jupyter Notebook** (např. přes ArcGIS Notebooks nebo ručně spuštěný Jupyter v prostředí ArcGIS Pro)

## 📁 Struktura projektu

Po vytvoření vlastního projektu v ArcGIS Pro (soubor `.aprx`) si prosím **zkopírujte následující složky a soubory do stejné složky, kde se nachází váš projekt**:



## 🧾 Popis obsahu

### 📂 `daily_data_24/`
- Denní CSV soubory z dat Strava Metro za rok 2024.
- Slouží pro výpočty denních intenzit, podílů víkend vs. všední dny apod.

### 📂 `yearly_data/`
- Soubory s agregovanými hodnotami za celý rok.
- Využívá se např. pro srovnání s daty nehodovosti nebo jinými dopravními vrstvami.

### 🗂 `komplexni_sada.gdb/`
Geodatabáze obsahuje následující vrstvy:
- `prestupky_cyklo` – prostorová data přestupků v dopravě s vybranými kategoriemi (cyklista v protisměru a cyklista na chodníku)
- `nehody_cyklo` – dopravní nehody s účastní cyklistů
- `intenzita_cyklodopravy_pentlogramy` – intenzita cyklistů dle sčítání BKOM 
- `intenzita_cars_pentlogramy` – intenzity automobilové dopravy dle sčítání BKOM
- `strava_base_osm` –  liniová vrstva která byla vytvořena na základě toolboxu spojujícího jednotlivé liniové vrstvy k síti OSM Strava Metro

## 🧪 Spuštění notebooku

1. Otevřete ArcGIS Pro.
2. Vytvořte nový projekt nebo použijte existující.
3. Zajistěte, že výše uvedené složky a soubory jsou ve stejné složce jako `.aprx` soubor.
4. Otevřete `pripojeni_dat.ipynb` v prostředí Jupyter Notebook.
5. Spusťte jednotlivé buňky podle potřeby.

Notebook pracuje s relativními cestami vzhledem k umístění `.ipynb` souboru, není tedy nutné upravovat cesty v kódu.

---

## ℹ️ Poznámky

- Nepřepisujte názvy složek ani geodatabáze, pokud nechcete upravovat notebook.
- Vrstvy z `komplexni_sada.gdb` můžete připojit do mapového okna ArcGIS Pro pro vizualizaci výstupů.
- Notebook nevyžaduje instalaci dalších knihoven – využívá pouze standardní knihovny dostupné v ArcGIS Pro prostředí.

