// Technické informace
var typKomunikace = $feature["typ_komunikace"];
var nazevUseku = $feature["nazev"];
var povrch = $feature["povrch"];
var kvalitaPovrchu = $feature["kvalita_povrchu"];
var maxRychlost = $feature["maximalni_rychlost"];
var osmId = $feature["osm_id"]; // Přidání OSM ID


// Jízdy vpřed a vzad (2024)
var pocetCestVpred2024 = ($feature["pocet_cest_vpred_2024"]);
var pocetCestVzad2024 = ($feature["pocet_cest_vzad_2024"]);
// Výpočet maximální hodnoty pro normalizaci šířky sloupců
var maxJizdVpVzad = Max(pocetCestVpred2024, pocetCestVzad2024);
// Pokud maximální rychlost není null, převeď z m/s na km/h
if (!IsEmpty(maxRychlost)) {
    maxRychlost = Round(maxRychlost * 1, 1); // Převod na km/h a zaokrouhlení na 1 desetinné místo
}


// Podíl pracovních a volnočasových cest za rok 2024
var pracovni_cesty = Round(($feature["podil_pracovnich_cest_2024"]) * 100, 0); // Převod na procenta a zaokrouhlení
var volnocasove_cesty = Round(($feature["podil_volnocasovych_cest_2024"]) * 100, 0); // Převod na procenta a zaokrouhlení


// Doprava
var jednosmerka = $feature["jednosmerka"];
var jednosmerkaText = ""; // Výchozí hodnota je prázdný text
if (!IsEmpty(jednosmerka)) {
    jednosmerkaText = jednosmerka;
}




var jednosmerkaProKola = $feature["jednosmerka_pro_kola"];
var jednosmerkaProKolaText = ""; // Výchozí hodnota je prázdný text
if (!IsEmpty(jednosmerkaProKola)) {
    jednosmerkaProKolaText = jednosmerkaProKola;
}




var celkovyPocetCest2023 = IIf(IsEmpty($feature["celkovy_pocet_cest_2023"]), 0, $feature["celkovy_pocet_cest_2023"]);
var celkovyPocetCest2024 = IIf(IsEmpty($feature["celkovy_pocet_cest_2024"]), 0, $feature["celkovy_pocet_cest_2024"]);
var prumernaRychlost2024 = $feature["prumerna_rychlost_2024"];




if (!IsEmpty(prumernaRychlost2024)) {
    prumernaRychlost2024 = Round(prumernaRychlost2024 * 3.6, 0); // Převod na km/h a zaokrouhlení na 1 desetinné místo
}
var stravaId = $feature["edge_uid"]; // ID Strava úseku




// Jízdy Strava ve směru a v protisměru
var pocetCestVpred2024 = IIf(IsEmpty($feature["pocet_cest_vpred_2024"]), 0, $feature["pocet_cest_vpred_2024"]);
var pocetCestVzad2024 = IIf(IsEmpty($feature["pocet_cest_vzad_2024"]), 0, $feature["pocet_cest_vzad_2024"]);




// Denní rozložení jízd (např. pondělí až neděle) - převod na číslo
function safeNumber(value) {
    if (IsEmpty(value)) {
        return 0;
    }
    var normalizedValue = Replace(value, ",", ".");
    if (IsNan(Number(normalizedValue))) {
        return 0;
    }
    return Number(normalizedValue);
}


// Denní doba rozložení jízd
var podilRano = safeNumber($feature["soucet_rannich_cest_2024"]);
var podilOdpoledne = safeNumber($feature["soucet_dopolednich_cest_2024"]);
var podilVecer = safeNumber($feature["soucet_vecernich_cest_2024"]);




var podilPondeli = safeNumber($feature["podil_pondeli"]);
var podilUtery = safeNumber($feature["podil_utery"]);
var podilStreda = safeNumber($feature["podil_streda"]);
var podilCtvrtek = safeNumber($feature["podil_ctvrtek"]);
var podilPatek = safeNumber($feature["podil_patek"]);
var podilSobota = safeNumber($feature["podil_sobota"]);
var podilNedele = safeNumber($feature["podil_nedele"]);
// Výpočet maximální hodnoty pro normalizaci šířky sloupců
var maxJizd = Max(celkovyPocetCest2023, celkovyPocetCest2024);
// Nehody a přestupky
// Pokud atributy jsou null, vrať 0 nebo výchozí hodnotu
var pocetNehod = IIf(IsEmpty($feature["pocet_nehod"]), 0, $feature["pocet_nehod"]);
var nejcastejsiPricina = IIf(IsEmpty($feature["nejcastejsi_pricina"]), "Neznámá", $feature["nejcastejsi_pricina"]);
var nejcastejsiKategoriePrestupku = IIf(IsEmpty($feature["nejcastejsi_kategorie_prestupku"]), "Neznámá", $feature["nejcastejsi_kategorie_prestupku"]);
var pocetPrestupku = IIf(IsEmpty($feature["pocet_prestupku"]), 0, $feature["pocet_prestupku"]);




// Intenzita dopravy
var intenzitaCyklo2022 = IIf(IsEmpty($feature["intenzita_cyklo_2022"]), 0, $feature["intenzita_cyklo_2022"]);
var intenzitaAut2023 = IIf(IsEmpty($feature["intenzita_aut_2023"]), 0, $feature["intenzita_aut_2023"]);




// HTML výstup
var htmlText = "";




// Technické informace
htmlText += `
<p>
    <strong>Technické informace:</strong><br>
    - Typ komunikace: ${typKomunikace}<br>
    - Název úseku: <span>${nazevUseku}</span>&nbsp;<br>
    - Povrch: ${povrch}<br>
    - Kvalita povrchu: ${kvalitaPovrchu}<br>`;
if (!IsEmpty(maxRychlost)) {
    htmlText += `- Maximální rychlost: ${maxRychlost} km/h<br>`;
}
if (!IsEmpty(osmId)) {
    htmlText += `- OSM ID: ${osmId}<br>`;
}
htmlText += `</p>`;




// Doprava (Strava)
htmlText += `
<p>
    <strong>Doprava Strava:</strong><br>`;
htmlText += `- ID Strava úseku: ${stravaId} <br>`;
if (!IsEmpty(jednosmerka)) {
    htmlText += `- Jednosměrná komunikace: ${jednosmerkaText}<br>`;
}
if (!IsEmpty(jednosmerkaProKola)) {
    htmlText += `- Jednosměrná pro kola: ${jednosmerkaProKolaText}<br>`;
}
htmlText += `- Celkový počet cest v roce 2023: ${celkovyPocetCest2023}<br>`;
htmlText += `- Celkový počet cest v roce 2024: ${celkovyPocetCest2024}<br>`;
htmlText += `- Počet jízd ve směru (vpřed) v roce 2024: ${pocetCestVpred2024}<br>`;
htmlText += `- Počet jízd v protisměru (vzad) v roce 2024: ${pocetCestVzad2024}<br>`;
if (!IsEmpty(prumernaRychlost2024)) {
    htmlText += `- Průměrná rychlost v roce 2024: ${prumernaRychlost2024} km/h<br>`;
}
htmlText += `</p>`;








// Vizualizace jízd vpřed a vzad (sloupce vedle sebe)
htmlText += `
<p>
    <strong>Podíl jízd vpřed a vzad (2024):</strong><br>
    <div style="display:flex; align-items:center; gap:10px; margin-bottom:10px;">
        <div style="width:${Round((pocetCestVpred2024 / maxJizdVpVzad) * 100)}%; background-color:#007bff; height:20px; text-align:center; color:white; border-radius:5px;">
            ${pocetCestVpred2024} (Vpřed)
        </div>
        <div style="width:${Round((pocetCestVzad2024 / maxJizdVpVzad) * 100)}%; background-color:#28a745; height:20px; text-align:center; color:white; border-radius:5px;">
            ${pocetCestVzad2024} (Vzad)
        </div>
    </div>
</p>`;








































// Vizualizace pracovních vs. volnočasových cest (sloupce vedle sebe)
htmlText += `
<p>
    <strong>Podíl pracovních a volnočasových cest (2024):</strong><br>
    <div style="display:flex; align-items:center; gap:10px; margin-bottom:10px;">
        <div style="width:${pracovni_cesty}%; background-color:#007bff; height:20px; text-align:center; color:white; border-radius:5px;">
            ${pracovni_cesty}% Pracovní
        </div>
        <div style="width:${volnocasove_cesty}%; background-color:#28a745; height:20px; text-align:center; color:white; border-radius:5px;">
            ${volnocasove_cesty}% Volnočasové
        </div>
    </div>
</p>`;


// Srovnání roků (sloupce vedle sebe)
htmlText += `
<p>
    <strong>Srovnání jízd (Strava):</strong><br>
    <div style="display:flex; align-items:center; gap:10px; margin-bottom:10px;">
        <div style="width:${Round((celkovyPocetCest2023 / maxJizd) * 100)}%; background-color:#007bff; height:20px; text-align:center; color:white; border-radius:5px;">
            ${celkovyPocetCest2023} (2023)
        </div>
        <div style="width:${Round((celkovyPocetCest2024 / maxJizd) * 100)}%; background-color:#28a745; height:20px; text-align:center; color:white; border-radius:5px;">
            ${celkovyPocetCest2024} (2024)
        </div>
    </div>
</p>`;












// Denní rozložení jízd (bar chart a hodnoty)
htmlText += `
<p>
    <strong>Denní rozložení jízd:</strong><br>`;
htmlText += `
<div style="margin-bottom:5px;">Pondělí (${Round(podilPondeli)}%):
    <div style="width:${Round(podilPondeli)}%; background-color:#007bff; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div style="margin-bottom:5px;">Úterý (${Round(podilUtery)}%):
    <div style="width:${Round(podilUtery)}%; background-color:#007bff; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div style="margin-bottom:5px;">Středa (${Round(podilStreda)}%):
    <div style="width:${Round(podilStreda)}%; background-color:#007bff; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div style="margin-bottom:5px;">Čtvrtek (${Round(podilCtvrtek)}%):
    <div style="width:${Round(podilCtvrtek)}%; background-color:#007bff; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div style="margin-bottom:5px;">Pátek (${Round(podilPatek)}%):
    <div style="width:${Round(podilPatek)}%; background-color:#007bff; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div style="margin-bottom:5px;">Sobota (${Round(podilSobota)}%):
    <div style="width:${Round(podilSobota)}%; background-color:#28a745; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div>Neděle (${Round(podilNedele)}%):
    <div style="width:${Round(podilNedele)}%; background-color:#28a745; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `</p>`;
// Denní doba rozložení jízd (bar chart a hodnoty)
htmlText += `
<p>
    <strong>Rozložení podle denní doby:</strong><br>`;
htmlText += `
<div style="margin-bottom:5px;">Ráno (5:00–9:00) (${podilRano} jízd):
    <div style="width:${Round((podilRano / (podilRano + podilOdpoledne + podilVecer)) * 100)}%; background-color:#239F40; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div style="margin-bottom:5px;">Poledne (10:00–14:00) (${podilOdpoledne} jízd):
    <div style="width:${Round((podilOdpoledne / (podilRano + podilOdpoledne + podilVecer)) * 100)}%; background-color:#F2D13F; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `
<div>Podvečer (15–19:00) (${podilVecer} jízd):
    <div style="width:${Round((podilVecer / (podilRano + podilOdpoledne + podilVecer)) * 100)}%; background-color:#6F37F0; height:15px; border-radius:5px;"></div>
</div>`;
htmlText += `</p>`;


// Nehody a přestupky
htmlText += `
<p>
    <strong>Nehody a přestupky:</strong><br>
    - Počet nehod: ${pocetNehod}<br>
    - Nejčastější příčina nehod: ${nejcastejsiPricina}<br>
    - Nejčastější kategorie přestupků: ${nejcastejsiKategoriePrestupku}<br>
    - Počet přestupků: ${pocetPrestupku}
</p>`;




// Intenzita dopravy
htmlText += `
<p>
    <strong>Intenzita dopravy BKOM:</strong><br>
    - Intenzita cyklistů v roce 2022 za 24h: ${intenzitaCyklo2022}<br>
    - Intenzita automobilové dopravy v roce 2023 za 24h: ${intenzitaAut2023}<br>
</p>`;




// Vrácení objektu s typem a textem
return {
    type: 'text',
    text: htmlText // HTML obsah
};











